ParsedResult (ZXing 3.4.0 API)

com.google.zxing.client.result

## Class ParsedResult

- java.lang.Object
- - com.google.zxing.client.result.ParsedResult

- Direct Known Subclasses:
    AddressBookParsedResult, CalendarParsedResult, EmailAddressParsedResult, ExpandedProductParsedResult, GeoParsedResult, ISBNParsedResult, ProductParsedResult, SMSParsedResult, TelParsedResult, TextParsedResult, URIParsedResult, VINParsedResult, WifiParsedResult

      public abstract class ParsedResult
      extends Object

  Abstract class representing the result of decoding a barcode, as more than a String -- as some type of structured data. This might be a subclass which represents a URL, or an e-mail address. `ResultParser.parseResult(com.google.zxing.Result)` will turn a raw decoded string into the most appropriate type of structured representation.

  Thanks to Jeff Griffin for proposing rewrite of these classes that relies less on exception-based mechanisms during parsing.

  Author:
    Sean Owen

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ParsedResult(ParsedResultType type)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getDisplayResult()`
    `ParsedResultType` | `getType()`
    `static void` | `maybeAppend(String[] values, StringBuilder result)`
    `static void` | `maybeAppend(String value, StringBuilder result)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedResult

          protected ParsedResult(ParsedResultType type)

  - ### Method Detail

    - #### getType

          public final ParsedResultType getType()

    - #### getDisplayResult

          public abstract String getDisplayResult()

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

    - #### maybeAppend

          public static void maybeAppend(String value,
                                         StringBuilder result)

    - #### maybeAppend

          public static void maybeAppend(String[] values,
                                         StringBuilder result)

Copyright © 2007–2019. All rights reserved.